declare const config: {
    plugins: string[];
    extends: string[];
    settings: {
        'import/resolver': {
            node: {
                extensions: string[];
            };
        };
    };
    rules: {
        'import/named': string;
        '@typescript-eslint/no-var-requires': number;
        '@typescript-eslint/no-extra-semi': number;
        '@typescript-eslint/semi': string[];
        '@typescript-eslint/ban-ts-comment': (string | {
            'ts-ignore': string;
        })[];
        '@typescript-eslint/member-delimiter-style': (string | {
            multiline: {
                delimiter: string;
            };
        })[];
        '@typescript-eslint/type-annotation-spacing': {}[];
        '@typescript-eslint/consistent-type-imports': (string | {
            prefer: string;
            disallowTypeAnnotations: boolean;
        })[];
        '@typescript-eslint/consistent-type-definitions': string[];
        '@typescript-eslint/consistent-indexed-object-style': string[];
        '@typescript-eslint/prefer-ts-expect-error': string;
        'no-useless-constructor': string;
        '@typescript-eslint/indent': number;
        'no-unused-vars': string;
        '@typescript-eslint/no-unused-vars': (number | {
            args: string;
            caughtErrors: string;
            ignoreRestSiblings: boolean;
            vars: string;
            argsIgnorePattern: string;
            varsIgnorePattern: string;
        })[];
        'no-redeclare': string;
        '@typescript-eslint/no-redeclare': string;
        'no-use-before-define': string;
        '@typescript-eslint/no-use-before-define': (string | {
            functions: boolean;
            classes: boolean;
            variables: boolean;
        })[];
        'brace-style': string;
        '@typescript-eslint/brace-style': (string | {
            allowSingleLine: boolean;
        })[];
        'comma-dangle': string;
        '@typescript-eslint/comma-dangle': string;
        'object-curly-spacing': string;
        '@typescript-eslint/object-curly-spacing': string[];
        '@typescript-eslint/camelcase': string;
        '@typescript-eslint/explicit-function-return-type': string;
        '@typescript-eslint/explicit-member-accessibility': string;
        '@typescript-eslint/no-explicit-any': string;
        '@typescript-eslint/no-parameter-properties': string;
        '@typescript-eslint/no-empty-interface': string;
        '@typescript-eslint/ban-ts-ignore': string;
        '@typescript-eslint/no-empty-function': string;
        '@typescript-eslint/no-non-null-assertion': string;
        '@typescript-eslint/explicit-module-boundary-types': string;
        '@typescript-eslint/ban-types': string;
        '@typescript-eslint/no-namespace': string;
    };
    overrides: any;
};
export default config;
